Subject: bug#71180: [ELPA Feature Request] Package thumbnail

From: "Elijah G." <[email-masked]>
Date: Wed, 29 May 2024 21:10:44 -0600

Philip Kaludercic <[email-masked]> writes:

> The issue is that .gif is still a bitmap format, so we wouldn't have the
> advantage of scaling that vector graphics give us.
>
> As this is a feature that would only be added in a future version of
> Emacs, we could start another feature request to support SVG animations
> as well, perhaps even a way to record Emacs into such a animation.
>
> See https://en.wikipedia.org/wiki/SVG_animation for a few examples.

I think it would not be hard to make it (as far as how Emacs supports
SVG), i just thought in .gif files for being more easy to implement than
animated svg (despite being rasterized and perhaps losing more quality).

> That seems like the screenshot is part of the README file?  I would have
> imagined them before or after the file, perhaps even in a different buffer.

Maybe something like this?

   Requires: emacs-28.1, compat-29.1.4.4
   Keywords: faces tools matching
   [See Screenshot]
   ^^^^^^^^^^^^^^^^

And when the user clicks it pop up a buffer with the screenshot,
similar in how Synaptic does.